Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StartGroupCallScreenSharing

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Text>
it.tdlight.jni.TdApi.StartGroupCallScreenSharing

Enclosing class:
  TdApi

public static final class TdApi.StartGroupCallScreenSharing extends TdApi.Function<TdApi.Text>
Starts screen sharing in a joined group call. Returns join response payload for tgcalls.

Returns `Text`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`audioSourceId`
Screen sharing audio channel synchronization source identifier; received from tgcalls.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`groupCallId`
Group call identifier.
`String`
`payload`
Group call join payload; received from tgcalls.

## Constructor Summary

Constructors
Constructor
Description
`StartGroupCallScreenSharing()`
Starts screen sharing in a joined group call.
`StartGroupCallScreenSharing(int groupCallId, int audioSourceId, String payload)`
Starts screen sharing in a joined group call.
`StartGroupCallScreenSharing(DataInput input)`
Starts screen sharing in a joined group call.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### groupCallId

public int groupCallId
Group call identifier.

### audioSourceId

public int audioSourceId
Screen sharing audio channel synchronization source identifier; received from tgcalls.

### payload

public String payload
Group call join payload; received from tgcalls.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### StartGroupCallScreenSharing

public StartGroupCallScreenSharing()
Starts screen sharing in a joined group call. Returns join response payload for tgcalls.

Returns `Text`

### StartGroupCallScreenSharing

public StartGroupCallScreenSharing(int groupCallId, int audioSourceId, String payload)
Starts screen sharing in a joined group call. Returns join response payload for tgcalls.

Returns `Text`

Parameters:
  `groupCallId` - Group call identifier.
  `audioSourceId` - Screen sharing audio channel synchronization source identifier; received from tgcalls.
  `payload` - Group call join payload; received from tgcalls.

  Returns `Text`

### StartGroupCallScreenSharing

public StartGroupCallScreenSharing(DataInput input) throws IOException
Starts screen sharing in a joined group call. Returns join response payload for tgcalls.

Returns `Text`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`